Subject: Sv: bug#38057: Sv: bug#38057: (shell-command "alias" "bash-aliases" "bash-errors") - Shell command succeeded with no output

From: arthur miller <[email-masked]>
Date: Fri, 8 Nov 2019 13:19:12 +0000

Yes, I do use '-ic' switch (which gives me error message about ioctl control, but I can live with that 🙂).

I have rebuilt Emacs today and it works fine. Same code, without change in setup. I can't explain why.

Anyway, thanks for the help.
/a

________________________________
Från: Stefan Kangas <[email-masked]>
Skickat: den 8 november 2019 13:26
Till: arthur miller <[email-masked]>
Kopia: Eli Zaretskii <[email-masked]>; [email-masked] <[email-masked]>
Ämne: Re: bug#38057: Sv: bug#38057: (shell-command "alias" "bash-aliases" "bash-errors") - Shell command succeeded with no output

arthur miller <[email-masked]> writes:

> THanks for answers. I have looked at SX-article, and I do understand
> that bashr is not sourced in non-interactive shells since before,
> however, I do have my Shell command set to use ”-ic” flags. It also
> used to work earlier; when I wrote that function and posted on wiki,
> with same Shell flags.

Are you saying that you set the variable shell-command-switch to
"-ic"?

When I try setting that, `M-x shell-command RET alias RET' gives me
my full list of aliases.

I'm not sure why you're seeing this, but it sounds like there may be
some other variable at play here.  Are you seeing the same behaviour
when running under emacs -Q?

> I don’t know how or why it worked earlier if it shouldn’t work
> though 😊. Even more confusing, it works fine on MS Windows (msys2
> distro of *nix Tools),
>
> Without even using ”-ic” flag. I use same bashrc as I do under my
> GNU/Linux, but I attribute that to (probable) msys2 quirks.

Yes, that sounds strange.

Best regards,
Stefan Kangas